{% extends "admin_base.html" %}

{% block content %}

        <div class="row">



            <div class="col-sm-12">
               
               <form id="add-item-form" enctype="multipart/form-data" method="post">
                    <label>Image description</label>
                    <input required class="form-control" name="description" id="titles" >
                    <label>Tags</label>
                    <input name="image_tags" class="form-control" id="tags">
                    <label>Image</label>
                    <input name="gallery_image" type="file" class="form-control" id="picture">
                
                    <div class="form-group">
                        <button class="btn btn-large btn-info" id="add-btn" >Update</button>
                    </div>
                </form>
            </div>   
            <br>




        <div class="gallery">
            {% for image in gallery %}
                  <figure>
                    <img src="https://storage.googleapis.com{{image.url}}" alt="" />
                    <figcaption>{{image.description}}</figcaption>
                         <a href="/gallery/removals/{{image.key.id()}}">Remove image</a>
                  </figure>
                  
             
            {% endfor %}
        </div>
              
        </div>
   

{% endblock %}

{% block scripts %}

<script>




    popup = {
  init: function(){
    $('figure').click(function(){
      popup.open($(this));
    });
    
    $(document).on('click', '.popup img', function(){
      return false;
    }).on('click', '.popup', function(){
      popup.close();
    })
  },
  open: function($figure) {
    $('.gallery').addClass('pop');
    $popup = $('<div class="popup" />').appendTo($('body'));
    $fig = $figure.clone().appendTo($('.popup'));
    $bg = $('<div class="bg" />').appendTo($('.popup'));
    $close = $('<div class="close"><svg><use xlink:href="#close"></use></svg></div>').appendTo($fig);
    $shadow = $('<div class="shadow" />').appendTo($fig);
    src = $('img', $fig).attr('src');
    $shadow.css({backgroundImage: 'url(' + src + ')'});
    $bg.css({backgroundImage: 'url(' + src + ')'});
    setTimeout(function(){
      $('.popup').addClass('pop');
    }, 10);
  },
  close: function(){
    $('.gallery, .popup').removeClass('pop');
    setTimeout(function(){
      $('.popup').remove()
    }, 100);
  }
}

popup.init()

</script>
{% endblock %}


